# Uses of Class
org.springframework.beans.factory.annotation.InjectionMetadata

Packages that use InjectionMetadata
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.

## Uses of InjectionMetadata in org.springframework.beans.factory.annotation

Fields in org.springframework.beans.factory.annotation declared as InjectionMetadata
Modifier and Type
Field
Description
`static final InjectionMetadata`
InjectionMetadata.`EMPTY`
An empty `InjectionMetadata` instance with no-op callbacks.
Methods in org.springframework.beans.factory.annotation that return InjectionMetadata
Modifier and Type
Method
Description
`static InjectionMetadata`
InjectionMetadata.`forElements(Collection<InjectionMetadata.InjectedElement> elements, Class<?> clazz)`
Return an `InjectionMetadata` instance, possibly for empty elements.
Methods in org.springframework.beans.factory.annotation with parameters of type InjectionMetadata
Modifier and Type
Method
Description
`static boolean`
InjectionMetadata.`needsRefresh(InjectionMetadata metadata, Class<?> clazz)`
Check whether the given injection metadata needs to be refreshed.